

# UpdateContact
<a name="API_UpdateContact"></a>

Updates a specific contact.

## Request Syntax
<a name="API_UpdateContact_RequestSyntax"></a>

```
POST /contact/contactId/versions HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "satelliteArn": "string",
   "trackingOverrides": { 
      "programTrackSettings": { ... }
   }
}
```

## URI Request Parameters
<a name="API_UpdateContact_RequestParameters"></a>

The request uses the following URI parameters.

 ** [contactId](#API_UpdateContact_RequestSyntax) **   <a name="groundstation-UpdateContact-request-uri-contactId"></a>
UUID of a contact.  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_UpdateContact_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_UpdateContact_RequestSyntax) **   <a name="groundstation-UpdateContact-request-clientToken"></a>
A client token is a unique, case-sensitive string of up to 64 ASCII characters. It is generated by the client to ensure idempotent operations, allowing safe retries without unintended side effects.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[!-~]{1,64}`   
Required: No

 ** [satelliteArn](#API_UpdateContact_RequestSyntax) **   <a name="groundstation-UpdateContact-request-satelliteArn"></a>
ARN of a satellite.  
Type: String  
Length Constraints: Minimum length of 82. Maximum length of 132.  
Pattern: `arn:aws:groundstation:([-a-z0-9]{1,50})?:[0-9]{12}:satellite/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: No

 ** [trackingOverrides](#API_UpdateContact_RequestSyntax) **   <a name="groundstation-UpdateContact-request-trackingOverrides"></a>
Overrides the default tracking configuration on an antenna during a contact.  
Type: [TrackingOverrides](API_TrackingOverrides.md) object  
Required: No

## Response Syntax
<a name="API_UpdateContact_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "contactId": "string",
   "versionId": number
}
```

## Response Elements
<a name="API_UpdateContact_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [contactId](#API_UpdateContact_ResponseSyntax) **   <a name="groundstation-UpdateContact-response-contactId"></a>
UUID of a contact.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

 ** [versionId](#API_UpdateContact_ResponseSyntax) **   <a name="groundstation-UpdateContact-response-versionId"></a>
Version ID of a contact.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 128.

## Errors
<a name="API_UpdateContact_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** DependencyException **   
Dependency encountered an error.    
 ** parameterName **   
Name of the parameter that caused the exception.
HTTP Status Code: 531

 ** InvalidParameterException **   
One or more parameters are not valid.    
 ** parameterName **   
Name of the invalid parameter.
HTTP Status Code: 431

 ** ResourceLimitExceededException **   
Account limits for this resource have been exceeded.    
 ** parameterName **   
Name of the parameter that exceeded the resource limit.
HTTP Status Code: 429

 ** ResourceNotFoundException **   
Resource was not found.  
HTTP Status Code: 434

## See Also
<a name="API_UpdateContact_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/groundstation-2019-05-23/UpdateContact) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/groundstation-2019-05-23/UpdateContact) 